Subject: bug#36107: Global Buttons Stop Functioning When Current Working Directory Changes (Forgot the Subject!)

From: Stefan Monnier <[email-masked]>
Date: Sat, 08 Jun 2019 20:03:12 -0400

> When I download 7.0.3 via the package manager, I still see hypb:functionp
> defined without your merges.  What do you see?  — Bob

    % wget 'http://elpa.gnu.org/packages/hyperbole-7.0.3.tar'
    --2019-06-08 19:54:42--  http://elpa.gnu.org/packages/hyperbole-7.0.3.tar
    Résolution de elpa.gnu.org (elpa.gnu.org)… 209.51.188.89
    Connexion à elpa.gnu.org (elpa.gnu.org)|209.51.188.89|:80… connecté.
    requête HTTP transmise, en attente de la réponse… 200 OK
    Taille : 19712000 (19M) [application/x-tar]
    Sauvegarde en : « hyperbole-7.0.3.tar »
    
    hyperbole-7.0.3.tar 100%[===================>]  18.80M  23.6MB/s    in 0.8s    
    
    2019-06-08 19:54:43 (23.6 MB/s) — « hyperbole-7.0.3.tar » sauvegardé [19712000/19712000]
    
    % grep --text functionp hyperbole-7.0.3.tar
                         (doc-str (if help-str nil (and (functionp cmd) (documentation cmd)))))
        (if (functionp action)
      (unless (or (stringp newtext) (functionp newtext))
                  (cond ((functionp newtext)
                             ((functionp pred-value)
      (if (not (functionp cmd))
        (if (functionp type-help-func)
                         ((functionp display-executables)
      (if (functionp hycontrol--quit-function)
                    (if (functionp expr)
                         (cond ((functionp predicate)
      (if (or (functionp browse-url-browser-function)
    % 

No hypb:functionp in sight.  You're likely installing it from some other
ELPA archive rather than GNU ELPA.

> We need to chat about this as there are a number of inconsistencies as
> a result and of course wr should have only one version with a version
> number.  I also produce signed releases and tag the git commit with the
> version number, so we need to agree to any merges beforehand.

Not sure what there is to chat: you need to `git pull` from elpa.git
into your branch; then undo/adjust the parts you dislike (I believe
these should mostly be replacing a few (not (featurep 'xemacs)) with
(featurep 'emacs)); then push the result, so that next time I pull from
your branch, things will finally be in-sync.

BTW I still have more cleanup to push to you, waiting for the two
branches to be in sync [ tho by now, I'm not quite sure where I have it
`git stashed` ;-)  ]

        Stefan